#include <fcntl.h>
#include <stdio.h>
#include "port.h"

void wait_w(int port);
void wait_r(int port);

int main()
{
	int port, l;
	unsigned char st0, pcn;

	port=open("/dev/port",O_RDWR);
	if (!port)
	{
		printf("Unable to open /dev/port!\n");
		return 0;
	}
	wait_w(port);
	out(port,0x3F5,0x08);
	printf("Sense interrupt status sent\n");
	wait_r(port);
	st0=in(port,0x3F5);
	printf("Read status register 0: %02X\n",st0);
	if (st0 != 0x80)
	{
		wait_r(port);
		pcn=in(port,0x3F5);
		printf("Current track number: %d\n",pcn);
	}
	else
		printf("There is no pending interrupt\n");
	close(port);
	return 0;
}
