#include <unistd.h>
#include "port.h"

void out(int pdev, unsigned short addr, unsigned char data)
{
	lseek(pdev, addr, SEEK_SET);
	write(pdev, &data, 1);
}

unsigned char in(int pdev, unsigned short addr)
{
	unsigned char data;

	lseek(pdev, addr, SEEK_SET);
	read(pdev,&data, 1);
	return data;
}

void wait_w(int port)
{
	unsigned char s;
	do
		s=in(port,0x3F4);
	while ((s & 0xC0) != 0x80);
	printf("Ready for writing, status=%02X\n",s);
}

void wait_r(int port)
{
	unsigned char s;

	do
		s=in(port,0x3F4);
	while ((s & 0xC0) != 0xC0);
	printf("Ready for reading, status=%02X\n",s);
}
